//
//  CXRMessage.m
//  GameBox
//
//  Created by Stack on 2017/9/13.
//  Copyright © 2017年 Stack. All rights reserved.
//

#import "YGMessage.h"
@implementation YGMessage
+ (void)showMessage:(NSString *)message withSuperView:(UIView *)superView{
    if (!message) return;
    UIView *showview =  [[UIView alloc] init];
    showview.backgroundColor = [UIColor colorWithRed:0 green:0 blue:0 alpha:1];
    showview.frame = CGRectMake(1, 1, 1, 1);
    showview.alpha = 1.0f;
    showview.layer.cornerRadius = 5.0f;
    showview.layer.masksToBounds = YES;
    [superView addSubview:showview];
    
    UILabel *label = [[UILabel alloc] init];
    CGRect labelFrame = label.frame;
    labelFrame.origin.x = 20;
    labelFrame.origin.y = 10;
    label.frame = labelFrame;
    label.text = message;
    [label sizeToFit];
    label.textColor = [UIColor whiteColor];
    label.textAlignment = 1;
    label.backgroundColor = [UIColor clearColor];
    label.font = [UIFont boldSystemFontOfSize:16];
    [showview addSubview:label];
    showview.frame = CGRectMake(([[UIScreen mainScreen] bounds].size.width - label.frame.size.width - 40) / 2, ([[UIScreen mainScreen] bounds].size.height - label.frame.size.height - 20) / 3 * 2, label.frame.size.width + 40, label.frame.size.height + 20);
    [UIView animateWithDuration:2.0 delay:0.3 options:UIViewAnimationOptionAllowUserInteraction animations:^{
        showview.alpha = 0;
    } completion:^(BOOL finished) {
        [showview removeFromSuperview];
    }];
}

+ (void)showMessage:(NSString *)message{
    [self showMessage:message withSuperView:[UIApplication sharedApplication].keyWindow];
}
@end
